%{?nodejs_find_provides_and_requires}

%global packagename path-platform
%global enable_tests 1

Name:		nodejs-path-platform
Version:	0.11.15
Release:	1%{?dist}
Summary:	Provide access to win32 and posix path operations

License:	MIT
URL:		http://github.com/tjfontaine/node-path-platform.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
# nothing
%endif

%description
Provide access to win32 and posix path operations; sourced directly from
upstream Node.js


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[246m -=#=- There are no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Jul 11 2016 Jared Smith <jsmith@fedoraproject.org> - 0.11.15-1
- Initial packaging
